Subject: Re: [bug#40537] [PATCH] gnu: Add bchoppr.

From: Alexandros Theodotou <[email-masked]>
Date: Tue, 28 Apr 2020 16:11:11 +0100

Hi Chris,

I think these should inherit from bsequencer since these are plugins by
the same author and it's reasonable that they follow the same build
procedure. We already to do this for other similar situations and it
also makes maintenance easier and DRY. Perhaps moving them below
bsequencer would be a better solution?

> The second thing is that I'd try to avoid adding package definitions
> at
> the end of files, just because it can lead to more merge conflicts.

I'll keep this in mind for future patches.

Thanks,
Alex

On Tue, 2020-04-14 at 20:06 +0100, Christopher Baines wrote:
> Alexandros Theodotou <[email-masked]> writes:
> 
> > These patches add 3 new LV2 plugins by the same author as
> > bsequencer:
> > bchoppr
> > bshapr
> > bjumblr
> 
> I've got a couple of comments. It looks to me like it would be
> clearer
> to not have the packages inherit from bsequencer. Some copying in the
> package definitions is fine if there are similarities between
> packages.
> 
> The second thing is that I'd try to avoid adding package definitions
> at
> the end of files, just because it can lead to more merge conflicts.
> 
> Would you be able to send some updated patches?
> 
> Thanks,
> 
> Chris